petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMPlexMigrate

Migrates internal DM data over the supplied star forest

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexMigrate(DM dm, PetscSF sf, DM targetDM)

### Input Parameter

| dm | - The source DMPlex object
| sf | - The star forest communication context describing the migration pattern

### Output Parameter

| targetDM | - The target DMPlex object

### See Also

DMPlexDistribute(), DMPlexDistributeOverlap()

Level:intermediate
Location:src/dm/impls/plex/plexdistribute.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages